GD32E230C开发板下载出错

[复制链接]
313|12
 楼主 | 2019-5-22 15:48 | 显示全部楼层 |阅读模式
原来使用KIEL5.25编译、下载都很正常,自从升级了GD32E231C之后,下载程序到GD32E230C时却会出错,下载烧录时提示见下图:
TIM截图20190522144629.jpg
请问各位该如何解决?谢谢!

使用特权

评论回复
| 2019-5-23 09:31 | 显示全部楼层
在你的程序里有指定存储位置的变量啥的吗

使用特权

评论回复
 楼主 | 2019-5-23 09:33 | 显示全部楼层
drer 发表于 2019-5-23 09:31
在你的程序里有指定存储位置的变量啥的吗

没有,这个程序之前都是可以正常编译和下载的,只是后来升级了GD32E231C了,再用GD32E230C就不能下载了。

使用特权

评论回复
| 2019-5-23 09:36 | 显示全部楼层
会不会不通用呢

使用特权

评论回复
 楼主 | 2019-5-23 09:39 | 显示全部楼层
kxsi 发表于 2019-5-23 09:36
会不会不通用呢

按理来说231应该兼容230啊,再说工程项目文件没有改变,仅仅是使用同一个IDE平台而已。

使用特权

评论回复
| 2019-5-23 10:36 | 显示全部楼层
hu9jj 发表于 2019-5-23 09:33
没有,这个程序之前都是可以正常编译和下载的,只是后来升级了GD32E231C了,再用GD32E230C就不能下载了。 ...

版本还能回退吗

使用特权

评论回复
 楼主 | 2019-5-23 12:10 | 显示全部楼层
drer 发表于 2019-5-23 10:36
版本还能回退吗

没试过,不过我的231也要用的,两个型号的开发板都想用起来。

使用特权

评论回复
| 2019-5-24 08:24 | 显示全部楼层
hu9jj 发表于 2019-5-23 12:10
没试过,不过我的231也要用的,两个型号的开发板都想用起来。

可以尝试下 好确定问题

使用特权

评论回复
| 2019-5-27 12:07 | 显示全部楼层
高级版本应该兼容低版本的啊

使用特权

评论回复
 楼主 | 2019-5-27 12:17 | 显示全部楼层
tfqi 发表于 2019-5-27 12:07
高级版本应该兼容低版本的啊

按理是这样的啊,但我这次却例外了,也不知道具体原因。

使用特权

评论回复
| 2019-5-28 11:54 | 显示全部楼层
hu9jj 发表于 2019-5-27 12:17
按理是这样的啊,但我这次却例外了,也不知道具体原因。

可能没有评测全面就放出来了

使用特权

评论回复
| 2019-5-29 13:57 | 显示全部楼层
Keil 5.26 版本以上支持。

使用特权

评论回复
| 2019-5-29 15:13 | 显示全部楼层
看报错的这个打印,还是有规律可寻的吧,你进工程OPTION, 点到DEBUG硬件仿真选项里面,FLASH Download默认要配置下 Programming Algorithm 。点Add  看是否会出对应的文件。

使用特权

评论回复
扫描二维码,随时随地手机跟帖
您需要登录后才可以回帖 登录 | 注册

本版积分规则

我要发帖 投诉建议 创建版块 申请版主

快速回复

您需要登录后才可以回帖
登录 | 注册
高级模式

论坛热帖

在线客服 快速回复 返回顶部 返回列表